MONGOC_READ_PREFS_SET_MAX_STALENESS_SECONDS(3)

NAME
mongoc_read_prefs_set_max_staleness_seconds - mongoc_read_prefs_set_max_staleness_seconds()

SYNOPSIS

        void
        mongoc_read_prefs_set_max_staleness_seconds (mongoc_read_prefs_t *read_prefs,
                                                     int64_t max_staleness_seconds);

PARAMETERS

    •   read_prefs: A mongoc_read_prefs_t.

    •   max_staleness_seconds: A positive integer or MONGOC_NO_MAX_STALENESS.

DESCRIPTION

Sets the maxStalenessSeconds to be used for the read preference. Clients estimate the staleness of each secondary, and select for reads only those secondaries whose estimated staleness is less than or equal to maxStalenessSeconds.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc